package ordentrabajoServlet;

import java.io.IOException;

import javax.naming.InitialContext;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpSession;

import m05bBD.m05bOrdenesTrabajo;
import m05bClasses.m05bFileLog;
import m05bOrdenesTrabajoEJB.m05OrdenesTrabajo;
import m05bOrdenesTrabajoEJB.m05OrdenesTrabajoHome;
import m05bOrdenesTrabajoEJB.m05OrdenesTrabajoPK;
/**
 * Inserte aquí la descripción del tipo.
 * Fecha de creación: (8/9/04)
 */
public class m05bGenerarOrdenTrabajoServlet extends javax.servlet.http.HttpServlet {m05bFileLog miLog = new m05bFileLog();
/**
 * Process incoming HTTP GET requests
 *
 * @param request Object that encapsulates the request to the servlet
 * @param response Object that encapsulates the response from the servlet
 */
public void doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException {

	performTask(request, response);

}
/**
 * Returns the servlet info string.
 */
public String getServletInfo() {

	return super.getServletInfo();

}
/**
 * Initializes the servlet.
 */
public void init() {
	// insert code to initialize the servlet here

}
/**
 * Process incoming requests for information
 *
 * @param request Object that encapsulates the request to the servlet
 * @param response Object that encapsulates the response from the servlet
 */
public void performTask(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) {

	try

	{
		// Insert user code from here.

		String codigo;
		String sURL = "";
		String mensaje;
	
		HttpSession session = request.getSession(true);

		codigo = request.getParameter("Codigo");
		mensaje = request.getParameter("Mensaje");
		
	
		try{
				m05OrdenesTrabajoPK primaryKey = new m05OrdenesTrabajoPK();
				primaryKey.ord_codigo = codigo;
				InitialContext ctx2 = new InitialContext();
				m05OrdenesTrabajoHome ordentrabajoEBHome = (m05OrdenesTrabajoHome) ctx2.lookup("m05OrdenesTrabajo");
				m05OrdenesTrabajo ordentrabajoEB = ordentrabajoEBHome.findByPrimaryKey(primaryKey);
				m05bOrdenesTrabajo ordentrabajo = ordentrabajoEB.getOrdenesTrabajo();

				session.setAttribute("m05bOrdenesTrabajo", ordentrabajo);
				sURL = response.encodeRedirectURL("m05bOrdenesTrabajoJsp.jsp?Codigo=" + codigo + "&Mensaje=" + mensaje);
			
			    RequestDispatcher rd;
			    rd = request.getRequestDispatcher(sURL);
			    try{
				      rd.forward(request, response);
		    	} catch (ServletException e){
		    		response.sendRedirect("m05bError.jsp");
			    }
			} catch (Exception SQLException) {
				miLog.addTraza(SQLException);
				response.sendRedirect("m05bError.jsp");
			}
	} catch(Throwable theException) {
		try {
			// uncomment the following line when unexpected exceptions
			// are occuring to aid in debugging the problem.
			//miLog.addTraza(theException);
			response.sendRedirect("m05bError.jsp");
		} catch (IOException e) {
			// TODO Auto-generated catch block
			miLog.addTraza(e);
		}
	}
}
}